<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_c"></a>- c -</h3><ul>
<li>CalculateSignature()
: <a class="el" href="structsiggen_1_1_hash_base.html#a969745d5499397d381f4d6d94478569b">siggen::HashBase</a>
, <a class="el" href="structsiggen_1_1_hash_m_d5.html#aa40f031d6beb761a413ac1c116d79298">siggen::HashMD5</a>
</li>
<li>ConsumerThread()
: <a class="el" href="classsiggen_1_1_thread_manager_power_saver.html#a26a2a10c5fa543ea86c5058d69e0ee87">siggen::ThreadManagerPowerSaver</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>Dequeue()
: <a class="el" href="classsiggen_1_1_m_t_queue.html#ab383d104dbf22cb80df5fa826c23573b">siggen::MTQueue</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>Enqueue()
: <a class="el" href="classsiggen_1_1_m_t_queue.html#ac47b8a0a7ad4c4334dfed8596aea1651">siggen::MTQueue</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>Factory()
: <a class="el" href="structsiggen_1_1_hash_base.html#a1f67711fe8ce2ae59a0fd8f33f6b51a2">siggen::HashBase</a>
, <a class="el" href="classsiggen_1_1_thread_manager_base.html#acb6c87062d2f75f4ad9d21801950e61e">siggen::ThreadManagerBase</a>
</li>
<li>File()
: <a class="el" href="classsiggen_1_1_file.html#a7f0e1503ea9ce5058744e7c2d8f1713f">siggen::File</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>GetBlockSize()
: <a class="el" href="classsiggen_1_1_options.html#a1bf946ed370154884b1a82076f1b8a4a">siggen::Options</a>
</li>
<li>GetHashName()
: <a class="el" href="classsiggen_1_1_options.html#a75e7b584ae17ee0010389232f1195b54">siggen::Options</a>
</li>
<li>GetInputFileName()
: <a class="el" href="classsiggen_1_1_options.html#a93b4e1f79b1751cd74e8069639709467">siggen::Options</a>
</li>
<li>GetLogLevel()
: <a class="el" href="classsiggen_1_1_options.html#a0d21253deaca59e2f6f15b5cac5c783a">siggen::Options</a>
</li>
<li>GetOutputFileName()
: <a class="el" href="classsiggen_1_1_options.html#aecd9d4cc9b7d8186f6e81de6d2eb3ffe">siggen::Options</a>
</li>
<li>GetResult()
: <a class="el" href="classsiggen_1_1_m_t_signatures.html#aefefb4578dd0a3af71eb81148fe9fa16">siggen::MTSignatures</a>
</li>
<li>GetSignatureSize()
: <a class="el" href="structsiggen_1_1_hash_base.html#a6fa7d4e00b5564c1a9ee519409feeb98">siggen::HashBase</a>
, <a class="el" href="structsiggen_1_1_hash_m_d5.html#ac19394e2a1c3fba563445469b8b5399c">siggen::HashMD5</a>
</li>
<li>GetThreadCount()
: <a class="el" href="classsiggen_1_1_options.html#a753c4f80f87f9a512c197afae09731fb">siggen::Options</a>
</li>
<li>GetThreadPolicy()
: <a class="el" href="classsiggen_1_1_options.html#a261be4a780e4a23e133252e56281ddb1">siggen::Options</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>IsComplete()
: <a class="el" href="classsiggen_1_1_m_t_signatures.html#a19341613e5b456f7d8ef16893726bc16">siggen::MTSignatures</a>
</li>
<li>IsFull()
: <a class="el" href="classsiggen_1_1_m_t_queue.html#acd9c2ada8a8557be458702a03fd1348a">siggen::MTQueue</a>
</li>
<li>IsWorkReady()
: <a class="el" href="classsiggen_1_1_m_t_queue.html#a38afc32fe3ff55fe04547c3766fc7421">siggen::MTQueue</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>m_BlockSize
: <a class="el" href="structsiggen_1_1_data.html#a1006e97814f7d32c8668575d56ba8bdf">siggen::Data</a>
</li>
<li>m_Data
: <a class="el" href="classsiggen_1_1_thread_manager.html#acf2e72bb7f780cd77fd9f046c5f8c66c">siggen::ThreadManager</a>
</li>
<li>m_Hash
: <a class="el" href="structsiggen_1_1_data.html#a06a7600d0e0634bbb0275b81589fd5aa">siggen::Data</a>
</li>
<li>m_InputBlockCount
: <a class="el" href="structsiggen_1_1_data.html#aaf8091edab7f24f7b6f725f6abbacc23">siggen::Data</a>
</li>
<li>m_InputFile
: <a class="el" href="structsiggen_1_1_data.html#a09582db7e870dfdd031c9076338384cb">siggen::Data</a>
</li>
<li>m_InputFileSize
: <a class="el" href="structsiggen_1_1_data.html#a72381ffd52528bf1d9e478a18a07f564">siggen::Data</a>
</li>
<li>m_ThreadCount
: <a class="el" href="structsiggen_1_1_data.html#a10d14f9813765c6f31080355bad10dbd">siggen::Data</a>
</li>
<li>MTQueue()
: <a class="el" href="classsiggen_1_1_m_t_queue.html#a93ce221a4c3d88f219a8a1e59e53c52f">siggen::MTQueue</a>
</li>
<li>MTSignatures()
: <a class="el" href="classsiggen_1_1_m_t_signatures.html#a15d4f98f366679e90a036e44cc422ad2">siggen::MTSignatures</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>ParseCommandLine()
: <a class="el" href="classsiggen_1_1_options.html#ab4f252a399a19ddfc05a35984859b15d">siggen::Options</a>
</li>
<li>PostResult()
: <a class="el" href="classsiggen_1_1_m_t_signatures.html#a8c0c1ca006f51e67e167d9be74662a95">siggen::MTSignatures</a>
</li>
<li>ProcessToBuffer()
: <a class="el" href="classsiggen_1_1_sig_gen.html#a6683e988d1a523acda77c5fb7c5edfbf">siggen::SigGen</a>
, <a class="el" href="classsiggen_1_1_thread_manager.html#a0526efee865fd31829ab17b1b3f27087">siggen::ThreadManager</a>
, <a class="el" href="classsiggen_1_1_thread_manager_base.html#a17a355ac0a9a1ed6b0eed23d12a89706">siggen::ThreadManagerBase</a>
, <a class="el" href="classsiggen_1_1_thread_manager_eager.html#aed33083be204b4449bea8f3031c8ac36">siggen::ThreadManagerEager</a>
, <a class="el" href="classsiggen_1_1_thread_manager_power_saver.html#ac96e31c7a171d9309dcb04b4232cec58">siggen::ThreadManagerPowerSaver</a>
, <a class="el" href="classsiggen_1_1_thread_manager_single.html#a61d1a6de5e616f5db41ada25c7656d5b">siggen::ThreadManagerSingle</a>
</li>
<li>ProcessToFile()
: <a class="el" href="classsiggen_1_1_sig_gen.html#a52cb2cae015089c5a352ff33e0f72419">siggen::SigGen</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SetBlockSize()
: <a class="el" href="classsiggen_1_1_options.html#a29f02029bc74a0212fd506a99e0b36ef">siggen::Options</a>
</li>
<li>SetHashName()
: <a class="el" href="classsiggen_1_1_options.html#a064a446867e9329820973dbcf3fae9af">siggen::Options</a>
</li>
<li>SetInputFileName()
: <a class="el" href="classsiggen_1_1_options.html#a2a83396bdb1535acb324b827d064ac6f">siggen::Options</a>
</li>
<li>SetLogLevel()
: <a class="el" href="classsiggen_1_1_options.html#ad716c1fe100084bd024029671caab830">siggen::Options</a>
</li>
<li>SetThreadCount()
: <a class="el" href="classsiggen_1_1_options.html#aa2797de5dce12cb7751c942504e51074">siggen::Options</a>
</li>
<li>SetThreadPolicy()
: <a class="el" href="classsiggen_1_1_options.html#a80cdeac333c31612aa82608fcd1c7a41">siggen::Options</a>
</li>
<li>SigGen()
: <a class="el" href="classsiggen_1_1_sig_gen.html#a80d1e476682130f9dcba8d331f9b27be">siggen::SigGen</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>Terminate()
: <a class="el" href="classsiggen_1_1_m_t_queue.html#a70fe66d834087214efffe789fb296289">siggen::MTQueue</a>
</li>
<li>ThreadManager()
: <a class="el" href="classsiggen_1_1_thread_manager.html#af6aa77ae67c245f4abaaf6176f5eb265">siggen::ThreadManager</a>
</li>
<li>ThreadManagerPowerSaver()
: <a class="el" href="classsiggen_1_1_thread_manager_power_saver.html#a2434e6d1fc566048154d81380065df1e">siggen::ThreadManagerPowerSaver</a>
</li>
<li>TryRead()
: <a class="el" href="classsiggen_1_1_file.html#a0b8c2a7789ecc8fd48f9d226390fe77d">siggen::File</a>
</li>
<li>TryWrite()
: <a class="el" href="classsiggen_1_1_file.html#a6ea3dc0b20f69e00366a6d8dd91d5328">siggen::File</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>WaitForComplete()
: <a class="el" href="classsiggen_1_1_m_t_signatures.html#ab926d14daa29ab9c4ff06ff8545e0b34">siggen::MTSignatures</a>
</li>
<li>WriteOutputFile()
: <a class="el" href="classsiggen_1_1_sig_gen.html#a5d1a3b3fb8500415bc93a8ce9e62ef5c">siggen::SigGen</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
